"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addFunctionConfig = void 0;
const devkit_1 = require("@nx/devkit");
function addFunctionConfig(host, options) {
    (0, devkit_1.updateJson)(host, options.firebaseConfigName, (json) => {
        const functionConfig = {
            codebase: options.projectName,
            source: (0, devkit_1.joinPathFragments)('dist', options.projectRoot),
            runtime: `nodejs${options.runTime}`,
            ignore: ['*.local'],
        };
        // console.log(`json.functions=${JSON.stringify(json.functions)}`)
        if (!Array.isArray(json.functions)) {
            const existingFunction = Object.assign({}, json.functions);
            json.functions = [];
            if (Object.keys(existingFunction).length) {
                json.functions.push(existingFunction);
            }
        }
        json.functions.push(functionConfig);
        // sort the codebases to be neat & tidy
        json.functions.sort((a, b) => {
            return a.codebase < b.codebase ? -1 : a.codebase > b.codebase ? 1 : 0;
        });
        return json;
    });
}
exports.addFunctionConfig = addFunctionConfig;
//# sourceMappingURL=add-function-config.js.map