"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteFiles = void 0;
const devkit_1 = require("@nx/devkit");
/**
 * Delete unwanted files created by the node generator
 * @param host
 * @param options
 */
function deleteFiles(host, options) {
    const nodeFilesToDelete = [
        (0, devkit_1.joinPathFragments)(options.projectRoot, 'src', 'main.ts'),
        (0, devkit_1.joinPathFragments)(options.projectRoot, 'src', 'app', '.gitkeep'),
        (0, devkit_1.joinPathFragments)(options.projectRoot, 'src', 'assets', '.gitkeep'),
        (0, devkit_1.joinPathFragments)(options.projectRoot, 'src', 'environments', 'environment.prod.ts'),
        (0, devkit_1.joinPathFragments)(options.projectRoot, 'src', 'environments', 'environment.ts'),
    ];
    for (const path of nodeFilesToDelete) {
        host.delete(path);
    }
}
exports.deleteFiles = deleteFiles;
//# sourceMappingURL=delete-files.js.map