"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initGenerator = void 0;
const tslib_1 = require("tslib");
const devkit_1 = require("@nx/devkit");
const lib_1 = require("./lib");
const add_git_ignore_entry_1 = require("./lib/add-git-ignore-entry");
/**
 * `nx g @simondotm/nx-firebase:init`
 *
 * Ensures the necessary firebase packages are installed in the nx workspace
 * It also adds `@nx/node` if it is not already installed
 *
 */
function initGenerator(host, schema) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const tasks = [];
        (0, add_git_ignore_entry_1.addGitIgnore)(host);
        (0, add_git_ignore_entry_1.addNxIgnore)(host);
        if (!schema.skipFormat) {
            yield (0, devkit_1.formatFiles)(host);
        }
        tasks.push((0, lib_1.addDependencies)(host));
        return (0, devkit_1.runTasksInSerial)(...tasks);
    });
}
exports.initGenerator = initGenerator;
exports.default = initGenerator;
//# sourceMappingURL=init.js.map