"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addNxIgnore = exports.addGitIgnore = exports.nxIgnoreRules = exports.gitIgnoreRules = void 0;
exports.gitIgnoreRules = [
    '# Nx-Firebase',
    '.runtimeconfig.json',
    '**/.emulators/*',
    '**/.firebase/*',
    'database-debug.log',
    'firebase-debug.log',
    'firestore-debug.log',
    'pubsub-debug.log',
    'ui-debug.log',
    'firebase-export*',
    '.secret.local',
];
// these rules tell nx to override .gitignore and consider these files as dependencies
exports.nxIgnoreRules = [
    '# Nx-Firebase',
    '!.secret.local',
    '!.runtimeconfig.json',
];
function addIgnoreRules(host, ignoreRules, ignoreFile) {
    var _a;
    if (!host.exists(ignoreFile)) {
        host.write(ignoreFile, `${ignoreRules.join('\n')}\n`);
        return;
    }
    let content = (_a = host.read(ignoreFile)) === null || _a === void 0 ? void 0 : _a.toString('utf-8');
    let updated = false;
    for (const entry of ignoreRules) {
        if (!content.includes(entry)) {
            content += `${entry}\n`;
            updated = true;
        }
    }
    if (updated) {
        host.write(ignoreFile, content);
    }
}
function addGitIgnore(host) {
    addIgnoreRules(host, exports.gitIgnoreRules, '.gitignore');
}
exports.addGitIgnore = addGitIgnore;
function addNxIgnore(host) {
    addIgnoreRules(host, exports.nxIgnoreRules, '.nxignore');
}
exports.addNxIgnore = addNxIgnore;
//# sourceMappingURL=add-git-ignore-entry.js.map