import { ProjectConfiguration, TargetConfiguration, Tree } from '@nx/devkit';
import { SyncGeneratorSchema } from '../schema';
import { FirebaseProjects } from '../../../types';
export declare function isFirebaseApp(project: ProjectConfiguration): boolean;
export declare function isFirebaseFunction(project: ProjectConfiguration): boolean;
/**
 * Scan the workspace, identifying firebase projects managed by this plugin by their tags:
 * - firebase:app
 * - firebase:function
 * @param tree - host workspace
 * @returns FirebaseProjects object
 */
export declare function getFirebaseProjects(tree: Tree): FirebaseProjects;
/**
 * Rewrite the firebase deploy command for the given function deploy target
 *  to either add or update the --project cli parameter
 * @param target - deploy target in the function
 * @param options -
 */
export declare function updateFirebaseAppDeployProject(target: TargetConfiguration, options: SyncGeneratorSchema): boolean;
