"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFirebaseWorkspace = void 0;
const firebase_changes_1 = require("./firebase-changes");
const firebase_projects_1 = require("./firebase-projects");
const firebase_configs_1 = require("./firebase-configs");
function getFirebaseWorkspace(tree) {
    // build list of firebase apps and functions in the workspace
    const projects = (0, firebase_projects_1.getFirebaseProjects)(tree);
    const configs = (0, firebase_configs_1.getFirebaseConfigs)(tree, projects);
    const changes = (0, firebase_changes_1.getFirebaseChanges)(tree, projects, configs);
    return Object.assign(Object.assign(Object.assign({}, projects), changes), configs);
}
exports.getFirebaseWorkspace = getFirebaseWorkspace;
//# sourceMappingURL=firebase-workspace.js.map