import { ProjectConfiguration, Tree } from '@nx/devkit';
/**
 * Parse a firebase tag value for the given scope
 * Expected to find tag of format: `firebase:name:<projectname>` or `firebase:dep:<appname>`
 * @param project - Project to be checked
 * @param scope - `firebase:name` or `firebase:dep`
 * @returns value part of tag
 * @throws if requested tag is missing, or malformed
 */
export declare function getFirebaseScopeFromTag(project: ProjectConfiguration, scope: 'firebase:name' | 'firebase:dep'): {
    tagValue: string;
    tagIndex: number;
};
export declare function updateFirebaseProjectNameTag(tree: Tree, project: ProjectConfiguration): void;
