"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.renameCommandForTarget = void 0;
const devkit_1 = require("@nx/devkit");
function renameCommandForTarget(tree, project, targetName, search, replace) {
    const target = project.targets[targetName];
    if (!target) {
        throw new Error(`Could not find target '${targetName}' in project '${project.name}'`);
    }
    if (target.options.commands) {
        target.options.commands = target.options.commands.map((cmd) => {
            return cmd.replace(search, replace);
        });
    }
    if (target.options.command) {
        target.options.command = target.options.command.replace(search, replace);
    }
    (0, devkit_1.updateProjectConfiguration)(tree, project.name, project);
}
exports.renameCommandForTarget = renameCommandForTarget;
//# sourceMappingURL=update-targets.js.map