import { Tree, ProjectConfiguration } from '@nx/devkit';
/**
 * Return the config file from the provided firebase target command
 * This can be used to parse commands in additional configurations
 * @param project
 * @param command
 * @returns
 */
export declare function getFirebaseConfigFromCommand(tree: Tree, project: ProjectConfiguration, command: string): string;
/**
 * Return the config file used by the `firebase` target command of the provided firebase app project
 * @param command
 * @param project
 * @param firebaseConfigs
 * @returns
 */
export declare function getFirebaseConfigFromProject(tree: Tree, project: ProjectConfiguration): string;
/**
 * Modify the config file used by the `firebase` target command of the provided firebase app project
 * @param project
 * @param configFileName
 */
export declare function setFirebaseConfigFromCommand(project: ProjectConfiguration, configFileName: string): void;
