"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProjectName = void 0;
const devkit_1 = require("@nx/devkit");
function getProjectName(tree, name, directory) {
    // console.log(`name ${name}`)
    // console.log(`directory ${directory}`)
    const { layoutDirectory, projectDirectory } = (0, devkit_1.extractLayoutDirectory)(directory);
    // console.log(`layoutDirectory ${layoutDirectory}`)
    // console.log(`projectDirectory ${projectDirectory}`)
    const appsDir = layoutDirectory !== null && layoutDirectory !== void 0 ? layoutDirectory : (0, devkit_1.getWorkspaceLayout)(tree).appsDir;
    // console.log(`appsDir ${appsDir}`)
    const appDirectory = projectDirectory
        ? `${(0, devkit_1.names)(projectDirectory).fileName}/${(0, devkit_1.names)(name).fileName}`
        : (0, devkit_1.names)(name).fileName;
    // console.log(`appDirectory ${appDirectory}`)
    const appProjectName = appDirectory.replace(new RegExp('/', 'g'), '-');
    // console.log(`appProjectName ${appProjectName}`)
    const appProjectRoot = (0, devkit_1.joinPathFragments)(appsDir, appDirectory);
    // console.log(`appProjectRoot ${appProjectRoot}`)
    // // see https://github.com/nrwl/nx/blob/84cbcb7e105cd2b3bf5b3d84a519e5c52951e0f3/packages/js/src/generators/library/library.ts#L332
    // // for how the project name is derived from options.name and --directory
    // const fileName = names(name).fileName
    // const projectDirectory = directory
    //   ? `${names(directory).fileName}/${fileName}`
    //   : name
    // const projectRoot = joinPathFragments(
    //   getWorkspaceLayout(tree).appsDir,
    //   projectDirectory,
    // )
    // const projectName = projectDirectory.replace(new RegExp('/', 'g'), '-')
    return {
        projectRoot: appProjectRoot,
        projectName: appProjectName,
    };
}
exports.getProjectName = getProjectName;
//# sourceMappingURL=project-name.js.map