"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateTsConfig = exports.nodeEsVersion = void 0;
const devkit_1 = require("@nx/devkit");
const nx_firebase_versions_1 = require("../__generated__/nx-firebase-versions");
// https://stackoverflow.com/questions/59787574/typescript-tsconfig-settings-for-node-js-12
exports.nodeEsVersion = {
    '12': 'es2019',
    '14': 'es2020',
    '16': 'es2020',
    '18': 'es2022',
    '20': 'es2022',
};
/**
 * With firebase cli > 10.0.1 now compatible with node versions >=14 we can use es modules rather than commonjs
 *
 * @param tree
 * @param options
 */
function updateTsConfig(tree, projectRoot, runTime, format) {
    var _a;
    const tsConfigTarget = (_a = exports.nodeEsVersion[runTime]) !== null && _a !== void 0 ? _a : exports.nodeEsVersion[nx_firebase_versions_1.packageVersions.nodeEngine];
    (0, devkit_1.updateJson)(tree, (0, devkit_1.joinPathFragments)(projectRoot, 'tsconfig.app.json'), (json) => {
        json.compilerOptions.target = tsConfigTarget;
        json.compilerOptions.module = format === 'esm' ? 'es2020' : 'commonjs';
        return json;
    });
}
exports.updateTsConfig = updateTsConfig;
//# sourceMappingURL=update-tsconfig.js.map